﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel.Composition;
using SilverlightApplication5.Enums;

namespace SilverlightApplication5.Attributes
{
  [MetadataAttribute]
  [AttributeUsage(AttributeTargets.Class)]
  public class AppContextExport : PartMetadataAttribute
  {
    public AppContextExport()
    {
      this.AppContextAvailability = AppContextStatus.All;
    }
    public AppContextExport() : base(
    {

    }
    public AppContextExport(Type contractType) : 
      base(contractType)
    {

    }
    public AppContextExport(string contractName, Type contractType) : 
      base(contractName, contractType)
    {

    }
    public AppContextStatus AppContextAvailability { get; set; }

    public const string AppContextAvailabilityKey = "AppContextAvailability";
  }
}
