﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel.Composition;
using System.IO;
using System.Collections.Generic;
using SilverlightApplication5.Enums;

namespace SilverlightApplication5.ViewModels
{
  [Export("FilesViewModel", typeof(object))]
  [PartCreationPolicy(CreationPolicy.NonShared)]
  [PartMetadata(AppContextConstants.AppContextKey, AppContextStatus.OutOfBrowserCOMInterop)]
  public class FilesViewModel
  {
    public FilesViewModel()
    {
      // being lazy and doing this in the viewmodel
    }
    public IEnumerable<string> Files
    {
      get
      {
        return (Directory.EnumerateFiles(
          Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments)));
      }
    }
  }
}
